| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_normalize_dot
Experimental extensions

Include <glm/gtx/normalized_dot.hpp> to use the features of this extension. More...

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | fastNormalizeDot (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
| Normalize parameters and returns the dot product of x and y. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | normalizeDot (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
| Normalize parameters and returns the dot product of x and y. More...

## Detailed Description

Include <glm/gtx/normalized_dot.hpp> to use the features of this extension.

Dot product of vectors that need to be normalize with a single square root.

## Function Documentation

GLM_FUNC_DECL T glm::fastNormalizeDot | ( | vec< L, T, Q > const & | x,
|  | vec< L, T, Q > const & | y
| ) |  |

Normalize parameters and returns the dot product of x and y.

Faster that dot(fastNormalize(x), fastNormalize(y)).

See also
  GLM_GTX_normalize_dot extension.

GLM_FUNC_DECL T glm::normalizeDot | ( | vec< L, T, Q > const & | x,
|  | vec< L, T, Q > const & | y
| ) |  |

Normalize parameters and returns the dot product of x and y.

It's faster that dot(normalize(x), normalize(y)).

See also
  GLM_GTX_normalize_dot extension.